Subject: Re: data-race in nf_tables_newtable / nf_tables_newtable

From: Florian Westphal <[email-masked]>
Date: Mon, 22 Aug 2022 22:41:12 +0200

Gabriel Ryan <[email-masked]> wrote:
> Hi Florian,
> 
> I just looked at the lock event trace from our report and it looks
> like two distinct commit mutexes were held when the race was
> triggered. I think the race is probably on the table_handle variable
> on net/netfilter/nf_tables_api.c:1221, and not the table->handle field
> being written to.

See

https://patchwork.ozlabs.org/project/netfilter-devel/patch/[email-masked]/

which makes table_handle per netns.